# Uses of Enum
org.eclipse.birt.chart.model.attribute.ActionType

Packages that use ActionType
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of ActionType in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation with parameters of type ActionType
Modifier and Type
Method
Description
`Action`
GObjectFactory.`createAction(ActionType at, ActionValue av)`
`Action`
IGObjectFactory.`createAction(ActionType at, ActionValue av)`

## Uses of ActionType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type ActionType
Modifier and Type
Field
Description
`static final List<ActionType>`
ActionType.`VALUES`
A public read-only list of all the 'Action Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return ActionType
Modifier and Type
Method
Description
`static ActionType`
ActionType.`get(int value)`
Returns the 'Action Type' literal with the specified integer value.
`static ActionType`
ActionType.`get(String literal)`
Returns the 'Action Type' literal with the specified literal value.
`static ActionType`
ActionType.`getByName(String name)`
Returns the 'Action Type' literal with the specified name.
`static ActionType`
ActionType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ActionType[]`
ActionType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of ActionType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return ActionType
Modifier and Type
Method
Description
`ActionType`
AttributeFactoryImpl.`createActionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ActionType`
AttributeFactoryImpl.`createActionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of ActionType in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return ActionType
Modifier and Type
Method
Description
`ActionType`
Action.`getType()`
Returns the value of the 'Type' attribute.
Methods in org.eclipse.birt.chart.model.data with parameters of type ActionType
Modifier and Type
Method
Description
`void`
Action.`setType(ActionType value)`
Sets the value of the '`Type`' attribute.

## Uses of ActionType in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return ActionType
Modifier and Type
Method
Description
`ActionType`
ActionImpl.`getType()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type ActionType
Modifier and Type
Method
Description
`static final Action`
ActionImpl.`create(ActionType at, ActionValue av)`
Returns an instance of an action NOTE: Manually written
`void`
ActionImpl.`setType(ActionType newType)`

## Uses of ActionType in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type ActionType
Modifier and Type
Method
Description
`boolean`
InteractiveRenderer.`isRegisteredAction(StructureSource target, ActionType type)`
`boolean`
InteractiveRenderer.`registerAction(StructureSource target, ActionType type)`
Register a chart element with an interactive action
`void`
InteractiveRenderer.`unregisterAction(StructureSource target, ActionType type)`